apiVersion: unfurl/v1alpha1
kind: Project

# The presence of this YAML file indicates that this directory contains an Unfurl project.

# These "?include" directives merge these files so secret and local-only settings can be managed separately.
# +?include-secrets: secrets/secrets.yaml
# +?include-local: local/unfurl.yaml

# The primary thing configured here is the environment that ensembles are deployed in.
# An ensemble's environment is assembled by merging settings that appear in the project
# where it is located, the project that manages it (if different), and the project specified in UNFURL_HOME.

# An environment has various settings to set the context on an ensemble, including
# environment variables, connections, secrets, locals, repositories, imports and inputs
# It can also can include a "defaultProject" key, which specifies the location
# of an ensemble created with a matching "--use-environment" argument
# See https://docs.unfurl.run/environments.html

environments:
  #staging: {}
  +?include: "environments.json#DeploymentEnvironment"
